Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.persistence
Interface ObjectLog

All Known Implementing Classes:
  StreamObjectLog

    public interface ObjectLog

manager, being some entity that allows the following.

Method Summary
`void` | `close()` Closes the log after use.
`void` | `delete(Object id)` Delete the given object from the log.
`void` | `flush(Recoverable recoverable)` Flush to permanent memory.
`void` | `init()` Initialize the object log.
`Vector` | `recover()` Recover all non-deleted object images flushed so far.
`Recoverable` | `recover(Object id)`

Method Detail

### flush

    void flush(Recoverable recoverable)
               throws LogException

  Flush to permanent memory.

  Parameters:
    `recoverable` - Recoverable instance. NOTE: if the instance has the same ObjectId as a previous one, then the latter will be overridden by this one! More precisely, history() will only return the last image for a given ObjectId.
  Throws:
    `LogException` - if it did not work.

### init

    void init()
              throws LogException

  Initialize the object log. To be called as the first method.

  Throws:
    `LogException` - If error occurs.

### recover

    Vector recover()
                   throws LogException

  Recover all non-deleted object images flushed so far.

  Returns:
    Vector A list of Recoverable instances, reconstructed from their images.
  Throws:
    `LogException`

### recover

    Recoverable recover(Object id)
                        throws LogException

  Throws:
    `LogException`

### delete

    void delete(Object id)
                throws LogException

  Delete the given object from the log.

  Parameters:
    `id` - The object UID.
  Throws:
    `LogException` - on failure.

### close

    void close()
               throws LogException

  Closes the log after use.

  Throws:
    `LogException` - on failure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.